Agent Invocations
Create an agent invocation
Creates an invocation for the specified agent version.
Sökvägsparametrar
agent_name
string
krävs
The name of the agent.
Frågeparametrar
agent_session_id
string
Optional session ID returned by the session CRUD APIs to reuse an existing sandbox. If not provided, a new session ID will be auto-generated.
api-version
string
krävs
The API version to use for this operation.
Rubrikparametrar
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Begärandetext
The request body.
Svar
The request has succeeded.
Sidhuvuden
x-agent-invocation-id
string
krävs
Unique identifier for this invocation.
x-agent-session-id
string
krävs
Session ID for this invocation. Returns the provided session ID or an auto-generated one if not provided in the request.
Brödtext
Förfrågan
POST /agents/{agent_name}/endpoint/protocols/invocations HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json